GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
gdcm::LookupTable Class Reference

LookupTable class. More...

`#include <gdcmLookupTable.h>`

Inheritance diagram for gdcm::LookupTable:
[legend]
Collaboration diagram for gdcm::LookupTable:
[legend]

## Public Types

enum | LookupTableType { RED = 0, GREEN, BLUE, GRAY, UNKNOWN }

## Public Member Functions

| LookupTable ()
| LookupTable (LookupTable const &lut)
| ~LookupTable ()
void | Allocate (unsigned short bitsample=8)
| Allocate the LUT.
void | Clear ()
| Clear the LUT.
void | Decode (std::istream &is, std::ostream &os) const
| Decode the LUT.
unsigned short | GetBitSample () const
| return the bit sample
bool | GetBufferAsRGBA (unsigned char *rgba) const
| return the LUT as RGBA buffer
void | GetLUT (LookupTableType type, unsigned char *array, unsigned int &length) const
void | GetLUTDescriptor (LookupTableType type, unsigned short &length, unsigned short &subscript, unsigned short &bitsize) const
unsigned int | GetLUTLength (LookupTableType type) const
const unsigned char * | GetPointer () const
| return a raw pointer to the LUT
void | InitializeBlueLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
bool | Initialized () const
| return whether the LUT has been initialized
void | InitializeGreenLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
void | InitializeLUT (LookupTableType type, unsigned short length, unsigned short subscript, unsigned short bitsize)
| Generic interface:
void | InitializeRedLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
| RED / GREEN / BLUE specific:
void | Print (std::ostream &) const
void | SetBlueLUT (const unsigned char *blue, unsigned int length)
void | SetGreenLUT (const unsigned char *green, unsigned int length)
virtual void | SetLUT (LookupTableType type, const unsigned char *array, unsigned int length)
void | SetRedLUT (const unsigned char *red, unsigned int length)
bool | WriteBufferAsRGBA (const unsigned char *rgba)
| Write the LUT as RGBA.
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Protected Attributes

unsigned short | BitSample
bool | IncompleteLUT:1
LookupTableInternal * | Internal

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

LookupTable class.

## Member Enumeration Documentation

enum gdcm::LookupTable::LookupTableType

Enumerator:

  RED |
  GREEN |
  BLUE |
  GRAY |
  UNKNOWN |

## Constructor & Destructor Documentation

gdcm::LookupTable::LookupTable | ( |  | ) |

gdcm::LookupTable::~LookupTable | ( |  | ) |

gdcm::LookupTable::LookupTable | ( | LookupTable const & | lut | ) |

inline

## Member Function Documentation

void gdcm::LookupTable::Allocate | ( | unsigned short | bitsample = `8` | ) |

Allocate the LUT.

void gdcm::LookupTable::Clear | ( |  | ) |

Clear the LUT.

void gdcm::LookupTable::Decode | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  | const

Decode the LUT.

unsigned short gdcm::LookupTable::GetBitSample | ( |  | ) | const

inline

return the bit sample

bool gdcm::LookupTable::GetBufferAsRGBA | ( | unsigned char * | rgba | ) | const

return the LUT as RGBA buffer

void gdcm::LookupTable::GetLUT | ( | LookupTableType | type,
|  | unsigned char * | array,
|  | unsigned int & | length
| ) |  | const

void gdcm::LookupTable::GetLUTDescriptor | ( | LookupTableType | type,
|  | unsigned short & | length,
|  | unsigned short & | subscript,
|  | unsigned short & | bitsize
| ) |  | const

unsigned int gdcm::LookupTable::GetLUTLength | ( | LookupTableType | type | ) | const

const unsigned char* gdcm::LookupTable::GetPointer | ( |  | ) | const

return a raw pointer to the LUT

void gdcm::LookupTable::InitializeBlueLUT | ( | unsigned short | length,
|  | unsigned short | subscript,
|  | unsigned short | bitsize
| ) |  |

bool gdcm::LookupTable::Initialized | ( |  | ) | const

return whether the LUT has been initialized

void gdcm::LookupTable::InitializeGreenLUT | ( | unsigned short | length,
|  | unsigned short | subscript,
|  | unsigned short | bitsize
| ) |  |

void gdcm::LookupTable::InitializeLUT | ( | LookupTableType | type,
|  | unsigned short | length,
|  | unsigned short | subscript,
|  | unsigned short | bitsize
| ) |  |

Generic interface:

void gdcm::LookupTable::InitializeRedLUT | ( | unsigned short | length,
|  | unsigned short | subscript,
|  | unsigned short | bitsize
| ) |  |

RED / GREEN / BLUE specific:

void gdcm::LookupTable::Print | ( | std::ostream & |  | ) | const

inlinevirtual

Reimplemented from gdcm::Object.

Reimplemented in gdcm::SegmentedPaletteColorLookupTable.

void gdcm::LookupTable::SetBlueLUT | ( | const unsigned char * | blue,
|  | unsigned int | length
| ) |  |

void gdcm::LookupTable::SetGreenLUT | ( | const unsigned char * | green,
|  | unsigned int | length
| ) |  |

virtual void gdcm::LookupTable::SetLUT | ( | LookupTableType | type,
|  | const unsigned char * | array,
|  | unsigned int | length
| ) |  |

virtual

Reimplemented in gdcm::SegmentedPaletteColorLookupTable.

void gdcm::LookupTable::SetRedLUT | ( | const unsigned char * | red,
|  | unsigned int | length
| ) |  |

bool gdcm::LookupTable::WriteBufferAsRGBA | ( | const unsigned char * | rgba | ) |

Write the LUT as RGBA.

## Member Data Documentation

unsigned short gdcm::LookupTable::BitSample

protected

bool gdcm::LookupTable::IncompleteLUT

protected

LookupTableInternal* gdcm::LookupTable::Internal

protected

The documentation for this class was generated from the following file:

- gdcmLookupTable.h